## ros-noetic-flexbe-mirror 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(flexbe_mirror)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()


# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

# install executables
install(PROGRAMS bin/behavior_mirror_sm
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-noetic-flexbe-mirror 1.3.1

=== debian/changelog ===
ros-noetic-flexbe-mirror (1.3.1-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-noetic-flexbe-mirror (1.3.0-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_mirror] Minor cleanup of mirror
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-noetic-flexbe-mirror (1.2.5-1buster) buster; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-noetic-flexbe-mirror (1.2.4-1buster) buster; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-noetic-flexbe-mirror (1.2.3-1buster) buster; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_mirror] Fix mirror sync lock (see FlexBE/flexbe_app#47 <https://github.com/FlexBE/flexbe_app/issues/47>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-flexbe-mirror (1.2.2-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-noetic-flexbe-mirror (1.2.1-1buster) buster; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-noetic-flexbe-mirror (1.1.2-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-flexbe-mirror (1.1.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Merge remote-tracking branch 'origin/master' into develop
  * [flexbe_mirror] Fix race condition in mirror restarts
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-flexbe-mirror (1.1.0-1buster) buster; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Find behaviors by export tag and execute via checksum
  * Merge branch 'automatic_reload' into develop
  * flexbe mirror: small fix of mission member variable initialization
  * Merge pull request #27 <https://github.com/team-vigir/flexbe_behavior_engine/issues/27> from jgdo/automatic_reload
    fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * Merge pull request #26 <https://github.com/team-vigir/flexbe_behavior_engine/issues/26> from jgdo/automatic_reload
    Automatic reload
  * removed auto-starting behavior after structure callback
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #10 <https://github.com/team-vigir/flexbe_behavior_engine/issues/10> from team-vigir/cnurobotics
    Fix #11 <https://github.com/team-vigir/flexbe_behavior_engine/issues/11>
  * fix some shutdown issues on ctrl-c
  * Merge branch 'master' into cnurobotics
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_mirror] Skip synchronization if mirror gets preempted
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_core] [flexbe_mirror] Improved robustness of fast repeated synchronization
  * [flexbe_mirror] Fixed mirror rate sleep to reduce CPU load
  * Merge remote-tracking branch 'origin/feature/multirobot'
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:
    flexbe_core/src/flexbe_core/core/monitoring_state.py
    flexbe_core/src/flexbe_core/core/operatable_state.py
  * Changed absolute topic references to relative
  * [flexbe_onboard] [flexbe_mirror] Hide default SMACH transition log spamming
  * Removed some old and unused project files
  * Initial commit of software
  * Contributors: David C. Conner, David Conner, Dorian Scholz, DorianScholz, Mark Prediger, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 30 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-flexbe-mirror
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/flexbe_mirror
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-mirror
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-msgs, ros-noetic-rospy
Description: flexbe_mirror implements functionality to remotely mirror an executed behavior.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-mirror//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-flexbe-mirror 1.4.0

=== debian/changelog ===
ros-noetic-flexbe-mirror (1.4.0-2focal) focal; urgency=high

  * Updates for Melodic and Noetic releases on github.com/FlexBE

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-mirror (1.3.1-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Fri, 11 Dec 2020 05:00:00 -0000

ros-noetic-flexbe-mirror (1.3.0-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_mirror] Minor cleanup of mirror
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-mirror (1.2.5-2focal) focal; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 14 Jun 2020 04:00:00 -0000

ros-noetic-flexbe-mirror (1.2.4-2focal) focal; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-mirror (1.2.3-2focal) focal; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_mirror] Fix mirror sync lock (see FlexBE/flexbe_app#47 <https://github.com/FlexBE/flexbe_app/issues/47>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 10 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-mirror (1.2.2-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Mon, 16 Sep 2019 04:00:00 -0000

ros-noetic-flexbe-mirror (1.2.1-2focal) focal; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000

ros-noetic-flexbe-mirror (1.1.2-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 09 Apr 2019 04:00:00 -0000

ros-noetic-flexbe-mirror (1.1.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Merge remote-tracking branch 'origin/master' into develop
  * [flexbe_mirror] Fix race condition in mirror restarts
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 18 Dec 2018 05:00:00 -0000

ros-noetic-flexbe-mirror (1.1.0-2focal) focal; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Find behaviors by export tag and execute via checksum
  * Merge branch 'automatic_reload' into develop
  * flexbe mirror: small fix of mission member variable initialization
  * Merge pull request #27 <https://github.com/team-vigir/flexbe_behavior_engine/issues/27> from jgdo/automatic_reload
    fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * Merge pull request #26 <https://github.com/team-vigir/flexbe_behavior_engine/issues/26> from jgdo/automatic_reload
    Automatic reload
  * removed auto-starting behavior after structure callback
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #10 <https://github.com/team-vigir/flexbe_behavior_engine/issues/10> from team-vigir/cnurobotics
    Fix #11 <https://github.com/team-vigir/flexbe_behavior_engine/issues/11>
  * fix some shutdown issues on ctrl-c
  * Merge branch 'master' into cnurobotics
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_mirror] Skip synchronization if mirror gets preempted
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_core] [flexbe_mirror] Improved robustness of fast repeated synchronization
  * [flexbe_mirror] Fixed mirror rate sleep to reduce CPU load
  * Merge remote-tracking branch 'origin/feature/multirobot'
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:
    flexbe_core/src/flexbe_core/core/monitoring_state.py
    flexbe_core/src/flexbe_core/core/operatable_state.py
  * Changed absolute topic references to relative
  * [flexbe_onboard] [flexbe_mirror] Hide default SMACH transition log spamming
  * Removed some old and unused project files
  * Initial commit of software
  * Contributors: David C. Conner, David Conner, Dorian Scholz, DorianScholz, Mark Prediger, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Dec 2018 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Philipp Schillinger <schillin@kth.se>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
+Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
 Homepage: http://ros.org/wiki/flexbe_mirror
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
